#include <iostream>
using namespace std;
int main(){
    int N, A, M, D;
    cin>> N >> A;
    
    if (N<(3*A)) cout<< "-1" <<endl;
    
    else if (N==(3*A)){
         cout<<"0 "<< A <<endl;
         cout<<"0 "<< A <<endl;
         cout<<"0 "<< A <<endl;
    }
 return 0;
}